import { CoreModels } from 'tnp-core';
import { BaseCliWorkerTerminalUI, BaseWorkerTerminalActionReturnType } from 'tnp-helpers';
import { ActionsWorker } from './actions.worker';
export declare class ActionsTerminalUI extends BaseCliWorkerTerminalUI<ActionsWorker> {
    protected headerText(): Promise<string>;
    textHeaderStyle(): CoreModels.CfontStyle;
    getWorkerTerminalActions(options?: {
        exitIsOnlyReturn?: boolean;
        chooseAction?: boolean;
    }): BaseWorkerTerminalActionReturnType;
}